| OpenSubdiv OpenSubdiv

Loading...
Searching...
No Matches
Classes | Namespaces
scheme.h File Reference
`#include "../version.h"`
`#include "../sdc/types.h"`
`#include "../sdc/options.h"`
`#include "../sdc/crease.h"`
`#include <cassert>`
`#include <cstdlib>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | Scheme< SCHEME_TYPE >
| Scheme is a class template which provides all implementation for the subdivision schemes supported by OpenSubdiv through specializations of the methods of each. An instance of Scheme<SCHEME_TYPE> includes a set of Options that will dictate the variable aspects of its behavior. More...
class | Scheme< SCHEME_TYPE >::LocalMask< WEIGHT >

## Namespaces
namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Sdc